/*
 * Copyright (c) 2011, Oracle and/or its affiliates. All rights reserved.
 */

#import <jni.h>
#import <Cocoa/Cocoa.h>

jint GetJavaModifiers(NSEvent *event);
jint GetJavaKeyCode(NSEvent *event);
jcharArray GetJavaKeyChars(JNIEnv *env, NSEvent *event);

// for key event injection
BOOL GetMacKey(jint javaKeyCode, unsigned short *outMacKeyCode);
